#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn printf(_: *const libc::c_char, _: ...) -> libc::c_int;
}

fn printf_proxy(str_in : &[u8]) {
    todo!();
}

fn main_0() -> libc::c_int {
    printf_proxy(b"Hello world\n\0");
    return 0;
}
pub fn main() {
    ::std::process::exit(main_0() as i32);
}
